Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename tar-pack
%global enable_tests 1

Name:		nodejs-tar-pack
Version:	3.4.0
Release:	alt1_4
Summary:	Package and un-package modules of some sort (in tar/gz bundles)

License:	BSD
URL:		https://github.com/ForbesLindesay/tar-pack
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(debug)
BuildRequires:	npm(fstream)
BuildRequires:	npm(fstream-ignore)
BuildRequires:	npm(once)
BuildRequires:	npm(readable-stream)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(tar)
BuildRequires:	npm(uid-number)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(mkdirp)
BuildRequires:	npm(rfile)
%endif
Source44: import.info

%description
Package and un-package modules of some sort (in tar/gz bundles).


%prep
%setup -q -n package


%nodejs_fixdep readable-stream

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 3.4.0-alt1_4
- new version

